## MgQfFunc

MgQfFunc — Represents a function (selected by a MgServerFunction object)

## Synopsis

    struct      MgQfFunc;
    guint       mg_qf_func_get_type             (void);
    GObject*    mg_qf_func_new_with_func        (MgQuery *query,
                                                 MgServerFunction *func);
    GObject*    mg_qf_func_new_with_xml_id      (MgQuery *query,
                                                 const gchar *func_xml_id);
    MgServerFunction* mg_qf_func_get_ref_func   (MgQfFunc *func);
    GSList*     mg_qf_func_get_args             (MgQfFunc *func);

## Object Hierarchy

      GObject
       +----MgBase
             +----MgQfield
                   +----MgQfFunc

## Implemented Interfaces

MgQfFunc implements MgXmlStorage, MgRenderer, MgReferer and MgField.

## Properties

      "query"                gpointer             : Read / Write

## Signal Prototypes

    "templ-signal"
                void        user_function      (MgQfFunc *mgqffunc,
                                                gpointer user_data);

## Description

The function is applied to zero or more MgQfield objects of the same query

## Details

### struct MgQfFunc

    struct MgQfFunc;

### mg_qf_func_get_type ()

    guint       mg_qf_func_get_type             (void);

Returns : |

### mg_qf_func_new_with_func ()

    GObject*    mg_qf_func_new_with_func        (MgQuery *query,
                                                 MgServerFunction *func);

Creates a new MgQfFunc object which represents the `func` function

`query` : | a MgQuery in which the new object will be
`func` : | a MgServerFunction object
Returns : | the new object

### mg_qf_func_new_with_xml_id ()

    GObject*    mg_qf_func_new_with_xml_id      (MgQuery *query,
                                                 const gchar *func_xml_id);

Creates a new MgQfFunc object which represents a given function

`query` : | a MgQuery in which the new object will be
`func_xml_id` : | the XML Id of a MgServerFunction object
Returns : | the new object

### mg_qf_func_get_ref_func ()

    MgServerFunction* mg_qf_func_get_ref_func   (MgQfFunc *func);

Get the real MgServerFunction object used by `func`

`func` : | a MgQfFunc object
Returns : | the MgServerFunction object, or NULL if `func` is not active

### mg_qf_func_get_args ()

    GSList*     mg_qf_func_get_args             (MgQfFunc *func);

Get a list of the other MgQfield objects which are arguments of `func`. If some of them are missing, then a `NULL` is inserted where it should have been.

`func` : | a MgQfFunc object
Returns : | a new list of arguments

## Properties

"`query`" (gpointer : Read / Write) |

## Signals

### The "templ-signal" signal

    void        user_function                  (MgQfFunc *mgqffunc,
                                                gpointer user_data);

`mgqffunc` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.